<div class="table-page table-statistic mat-elevation-z8">
  <div>
    <div>
      <mat-form-field>
        <input matInput #box (keyup.enter)="onEnter(box.value)" placeholder="City name">
      </mat-form-field>
      <button mat-button color="primary" (click)="onEnter(box.value)">
        <mat-icon>search</mat-icon>
      </button>
    </div>

    <mat-error *ngIf="centerError != ''">{{centerError}}</mat-error>

    <div class="statistic">
      <span *ngIf="centerError == ''">Number of centers: {{centers?.length}}</span>
      <span *ngIf="centerError == ''">Total bookings: {{bookings?.length}}</span>
    </div>
    <div class="statistic">
      <mat-form-field *ngIf="centerError == ''">
        <mat-select placeholder="CenterID" [(value)]="selected">
          <mat-option *ngFor="let center of centers" [value]="center.id" (click)="getAllCenterBookings(center.id)">
            CenterId: {{center.id}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <span *ngIf="centerBookings?.length != null && centerError == ''">Total bookings -
        {{centerBookings?.length}}</span>
      <span *ngIf="centerBookingsActive?.length != null && centerError == ''">Active -
        {{centerBookingsActive?.length}}</span>
    </div>
  </div>
</div>